Update Workspace

​

Update live stream workspace.

Path Parameters

  • Live stream workspace ID.

Body

application/json
  • Live stream collection name

  • Video on demand workspace ID

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/video/sources/live/{live_workspace_id}
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const liveStreamWorkspace = await client.liveStreamWorkspaces.update('liveWorkspaceId', {
  name: 'live-stream-collections',
  video_source_id: '67bea1d66ca0059a95bf7de9',
});

console.log(liveStreamWorkspace);
{
  "id": "string",
  "video_workspace_id": "string",
  "created_at": "2026-10-13T08:42:01.097Z",
  "name": "string",
  "updated_at": "2026-10-13T08:42:01.097Z"
}